List Payments
curl --request GET \
--url https://api.example.com/wp-json/latepoint-api/v1/paymentsimport requests
url = "https://api.example.com/wp-json/latepoint-api/v1/payments"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/wp-json/latepoint-api/v1/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Payments
List Payments
Retrieve a paginated list of all payment transactions.
GET
/
wp-json
/
latepoint-api
/
v1
/
payments
List Payments
Query Parameters
integer
default:"1"
Page number for pagination
integer
default:"10"
Number of payments per page
integer
Filter payments by customer ID
integer
Filter payments by order ID
string
Filter payments by status. Common values:
succeeded, processing, failedstring
Filter by payment method (e.g.
cash, credit_card, paypal, stripe, mercadopago_checkout)string
Filter by payment processor (e.g.
stripe, paypal, mercadopago, square, other)number
Filter payments with amount greater than or equal to this value
number
Filter payments with amount less than or equal to this value
string
Filter payments created on or after this date (YYYY-MM-DD)
string
Filter payments created on or before this date (YYYY-MM-DD)
string
Search across token, notes, and receipt number
string
default:"created_at"
Field to sort results by. Valid values:
id, amount, created_at, statusstring
default:"DESC"
Sort direction. Valid values:
ASC, DESCExample Requests
Basic Request
GET /wp-json/latepoint-api/v1/payments
X-API-Key: YOUR_API_KEY
Filter by Status
GET /wp-json/latepoint-api/v1/payments?status=succeeded
X-API-Key: YOUR_API_KEY
Filter by Order
GET /wp-json/latepoint-api/v1/payments?order_id=37
X-API-Key: YOUR_API_KEY
Filter by Customer
GET /wp-json/latepoint-api/v1/payments?customer_id=10&per_page=5
X-API-Key: YOUR_API_KEY
Example Response
{
"success": true,
"data": [
{
"id": "5",
"token": "",
"invoice_id": null,
"order_id": "37",
"customer_id": "10",
"processor": "other",
"payment_method": "local",
"payment_portion": "deposit",
"kind": "capture",
"amount": "467.0000",
"status": "succeeded",
"notes": "",
"created_at": "2025-08-21 10:35:39",
"updated_at": "2025-08-21 10:35:39"
},
{
"id": "4",
"token": "",
"invoice_id": null,
"order_id": "37",
"customer_id": "10",
"processor": "mercadopago",
"payment_method": "mercadopago_checkout",
"payment_portion": "full",
"kind": "capture",
"amount": "233.0000",
"status": "succeeded",
"notes": "",
"created_at": "2025-08-21 10:34:17",
"updated_at": "2025-08-21 10:34:17"
}
],
"pagination": {
"page": 1,
"per_page": 10,
"total": 4,
"total_pages": 1,
"has_next_page": false,
"has_previous_page": false
}
}
